忘记密码   免费注册 查看新帖 | 论坛精华区

ChinaUnix.net

  平台 论坛 博客 认证专区 大话IT HPC论坛 徽章 文库 沙龙 自测 下载 频道自动化运维 虚拟化 储存备份 C/C++ PHP MySQL 嵌入式 Linux系统
最近访问板块 发新帖
查看: 798 | 回复: 0

分享php5.5.38支持mysql5.7.17数据库 [复制链接]

论坛徽章:
0
发表于 2017-02-17 11:49 |显示全部楼层
本帖最后由 eremiter 于 2017-02-17 14:59 编辑

centos7.2在phpmyadmin4提示 您的 PHP MySQL 库版本 5.6.31 与您的 MySQL 服务器版本 5.7.17 不同。这可能导致无法预料的问题

这种要在哪里添加源,如何升级支持php5.5支持mysql5.7

  1. mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50547 Library:50631

  2. mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50547 Library:50631
复制代码


感谢向日葵指导,原来php5.3以上不应该安装mysql,要安装mysqlnd网上很多教程,误人子弟

特此分享,希望后来者不要走弯路

使用下在代码,把原来的删除,记住,不同的版本名字略有不同,请做相应修改

yum remove php55w-mysql
yum install php55w-mysqlnd-5.5.38-1.w7.x86_64



mysql.png
mysql1.png
您需要登录后才可以回帖 登录 | 注册

本版积分规则

  

北京盛拓优讯信息技术有限公司. 版权所有 京ICP备16024965号 北京市公安局海淀分局网监中心备案编号:11010802020122
广播电视节目制作经营许可证(京) 字第1234号 中国互联网协会会员  联系我们:
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP